Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.action
Class ReportDataSourceAction

    java.lang.Object
      org.springframework.webflow.action.AbstractAction
          org.springframework.webflow.action.MultiAction
              org.springframework.webflow.action.FormAction
                  com.jaspersoft.jasperserver.war.action.ReportDataSourceAction

All Implemented Interfaces:
  org.springframework.beans.factory.InitializingBean, org.springframework.context.ApplicationContextAware, org.springframework.webflow.execution.Action

    public class ReportDataSourceAction

extends org.springframework.webflow.action.FormAction
implements org.springframework.context.ApplicationContextAware

Nested Class Summary

Nested classes/interfaces inherited from class org.springframework.webflow.action.MultiAction
`org.springframework.webflow.action.MultiAction.MethodResolver`

Field Summary
`static java.lang.String` | `DATASOURCEURI_PARAM`
`static java.lang.String` | `FORM_OBJECT_KEY`
`protected org.apache.commons.logging.Log` | `log`
`static java.lang.String` | `PARENT_FOLDER_ATTR`

Fields inherited from class org.springframework.webflow.action.FormAction
`DEFAULT_FORM_OBJECT_NAME, VALIDATOR_METHOD_ATTRIBUTE`

Fields inherited from class org.springframework.webflow.action.AbstractAction
`logger`

Constructor Summary
`ReportDataSourceAction()`

Method Summary
`java.lang.Object` | `createFormObject(org.springframework.webflow.execution.RequestContext context)`
`ConfigurationBean` | `getConfiguration()`
`CustomReportDataSourceServiceFactory` | `getCustomDataSourceFactory()`
`ResourceFactory` | `getDataSourceMappings()`
`static java.lang.String` | `getDATASOURCEURI_PARAM()`
`EngineService` | `getEngine()`
`static java.lang.String` | `getFORM_OBJECT_KEY()`
`org.springframework.context.MessageSource` | `getMessageSource()`
`protected java.lang.String` | `getQueryLanguage(org.springframework.webflow.execution.RequestContext context)`
`java.lang.String` | `getQueryLanguageFlowAttribute()`
`RepositoryService` | `getRepository()`
`JdkTimeZonesList` | `getTimezones()`
`org.springframework.webflow.execution.Event` | `handleTypeSelection(org.springframework.webflow.execution.RequestContext context)`
`org.springframework.webflow.execution.Event` | `initAction(org.springframework.webflow.execution.RequestContext context)`
`protected void` | `initBinder(org.springframework.webflow.execution.RequestContext requestContext, org.springframework.validation.DataBinder binder)`
`org.springframework.webflow.execution.Event` | `prepareChooseType(org.springframework.webflow.execution.RequestContext context)`
`org.springframework.webflow.execution.Event` | `preparePropsForm(org.springframework.webflow.execution.RequestContext context)`
`org.springframework.webflow.execution.Event` | `saveDatasource(org.springframework.webflow.execution.RequestContext context)`
`org.springframework.webflow.execution.Event` | `saveLookup(org.springframework.webflow.execution.RequestContext context)`
`org.springframework.webflow.execution.Event` | `saveNone(org.springframework.webflow.execution.RequestContext context)`
`void` | `setApplicationContext(org.springframework.context.ApplicationContext arg0)`
`void` | `setConfiguration(ConfigurationBean configuration)`
`void` | `setCustomDataSourceFactory(CustomReportDataSourceServiceFactory customDataSourceFactory)`
`void` | `setDataSourceMappings(ResourceFactory dataSourceMappings)`
`void` | `setEngine(EngineService engine)`
`void` | `setMessageSource(org.springframework.context.MessageSource messageSource)`
`void` | `setQueryLanguageFlowAttribute(java.lang.String queryLanguageFlowAttribute)`
`void` | `setRepository(RepositoryService repository)`
`void` | `setTimezones(JdkTimeZonesList timezones)`
`org.springframework.webflow.execution.Event` | `testBeanDataSource(org.springframework.webflow.execution.RequestContext context)`
`org.springframework.webflow.execution.Event` | `testJdbcDataSource(org.springframework.webflow.execution.RequestContext context)`
`org.springframework.webflow.execution.Event` | `testJndiDataSource(org.springframework.webflow.execution.RequestContext context)`
`org.springframework.webflow.execution.Event` | `validateDataSource(org.springframework.webflow.execution.RequestContext context)`

Methods inherited from class org.springframework.webflow.action.FormAction
`bind, bindAndValidate, createBinder, doBind, doValidate, getFormErrors, getFormErrorsScope, getFormObject, getFormObjectAccessor, getFormObjectClass, getFormObjectName, getFormObjectScope, getMessageCodesResolver, getPropertyEditorRegistrar, getValidateMethodInvoker, getValidator, initAction, registerPropertyEditors, registerPropertyEditors, resetForm, setFormErrorsScope, setFormObjectClass, setFormObjectName, setFormObjectScope, setMessageCodesResolver, setPropertyEditorRegistrar, setupForm, setValidator, validate, validationEnabled`

Methods inherited from class org.springframework.webflow.action.MultiAction
`doExecute, getMethodResolver, setMethodResolver, setTarget`

Methods inherited from class org.springframework.webflow.action.AbstractAction
`afterPropertiesSet, doPostExecute, doPreExecute, error, error, execute, getActionNameForLogging, getEventFactorySupport, no, result, result, result, result, success, success, yes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.beans.factory.InitializingBean
`afterPropertiesSet`

Field Detail

### log

    protected final org.apache.commons.logging.Log log

### FORM_OBJECT_KEY

    public static final java.lang.String FORM_OBJECT_KEY

See Also:
  Constant Field Values

### DATASOURCEURI_PARAM

    public static final java.lang.String DATASOURCEURI_PARAM

See Also:
  Constant Field Values

### PARENT_FOLDER_ATTR

    public static final java.lang.String PARENT_FOLDER_ATTR

See Also:
  Constant Field Values

Constructor Detail

### ReportDataSourceAction

    public ReportDataSourceAction()

Method Detail

### setApplicationContext

    public void setApplicationContext(org.springframework.context.ApplicationContext arg0)
                               throws org.springframework.beans.BeansException

  Specified by:
    `setApplicationContext` in interface `org.springframework.context.ApplicationContextAware`
  Throws:
    `org.springframework.beans.BeansException`

### initAction

    public org.springframework.webflow.execution.Event initAction(org.springframework.webflow.execution.RequestContext context)
                                                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### handleTypeSelection

    public org.springframework.webflow.execution.Event handleTypeSelection(org.springframework.webflow.execution.RequestContext context)
                                                                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### prepareChooseType

    public org.springframework.webflow.execution.Event prepareChooseType(org.springframework.webflow.execution.RequestContext context)
                                                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### preparePropsForm

    public org.springframework.webflow.execution.Event preparePropsForm(org.springframework.webflow.execution.RequestContext context)
                                                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### saveLookup

    public org.springframework.webflow.execution.Event saveLookup(org.springframework.webflow.execution.RequestContext context)
                                                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### saveNone

    public org.springframework.webflow.execution.Event saveNone(org.springframework.webflow.execution.RequestContext context)
                                                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### saveDatasource

    public org.springframework.webflow.execution.Event saveDatasource(org.springframework.webflow.execution.RequestContext context)
                                                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testJdbcDataSource

    public org.springframework.webflow.execution.Event testJdbcDataSource(org.springframework.webflow.execution.RequestContext context)
                                                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testJndiDataSource

    public org.springframework.webflow.execution.Event testJndiDataSource(org.springframework.webflow.execution.RequestContext context)
                                                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testBeanDataSource

    public org.springframework.webflow.execution.Event testBeanDataSource(org.springframework.webflow.execution.RequestContext context)
                                                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### validateDataSource

    public org.springframework.webflow.execution.Event validateDataSource(org.springframework.webflow.execution.RequestContext context)
                                                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### createFormObject

    public java.lang.Object createFormObject(org.springframework.webflow.execution.RequestContext context)

  Overrides:
    `createFormObject` in class `org.springframework.webflow.action.FormAction`

### getTimezones

    public JdkTimeZonesList getTimezones()

### setTimezones

    public void setTimezones(JdkTimeZonesList timezones)

### getRepository

    public RepositoryService getRepository()

### setRepository

    public void setRepository(RepositoryService repository)

### getConfiguration

    public ConfigurationBean getConfiguration()

### setConfiguration

    public void setConfiguration(ConfigurationBean configuration)

### getDataSourceMappings

    public ResourceFactory getDataSourceMappings()

  Returns:
    Returns the dataSourceMappings.

### setDataSourceMappings

    public void setDataSourceMappings(ResourceFactory dataSourceMappings)

  Parameters:
    `dataSourceMappings` - The dataSourceMappings to set.

### getDATASOURCEURI_PARAM

    public static java.lang.String getDATASOURCEURI_PARAM()

### getFORM_OBJECT_KEY

    public static java.lang.String getFORM_OBJECT_KEY()

### initBinder

    protected void initBinder(org.springframework.webflow.execution.RequestContext requestContext,
                              org.springframework.validation.DataBinder binder)

  Overrides:
    `initBinder` in class `org.springframework.webflow.action.FormAction`

### getQueryLanguage

    protected java.lang.String getQueryLanguage(org.springframework.webflow.execution.RequestContext context)

### getQueryLanguageFlowAttribute

    public java.lang.String getQueryLanguageFlowAttribute()

### setQueryLanguageFlowAttribute

    public void setQueryLanguageFlowAttribute(java.lang.String queryLanguageFlowAttribute)

### getEngine

    public EngineService getEngine()

### setEngine

    public void setEngine(EngineService engine)

### getMessageSource

    public org.springframework.context.MessageSource getMessageSource()

### setMessageSource

    public void setMessageSource(org.springframework.context.MessageSource messageSource)

### getCustomDataSourceFactory

    public CustomReportDataSourceServiceFactory getCustomDataSourceFactory()

### setCustomDataSourceFactory

    public void setCustomDataSourceFactory(CustomReportDataSourceServiceFactory customDataSourceFactory)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.